openSUSE Security Update : libtasn1 (openSUSE-2016-773)

Medium Nessus Plugin ID 91868


The remote openSUSE host is missing a security update.


This update for libtasn1 fixes the following issues :

- Malformed asn1 definitions could have caused a segmentation fault in the asn1 definition parser (bsc#961491)

- CVE-2015-3622: Fixed invalid read in octet string decoding (bsc#929414)

- CVE-2016-4008: Fixed infinite loop while parsing DER certificates (bsc#982779)

This update was imported from the SUSE:SLE-12:Update update project.


Update the affected libtasn1 packages.

See Also

Plugin Details

Severity: Medium

ID: 91868

File Name: openSUSE-2016-773.nasl

Version: $Revision: 2.2 $

Type: local

Agent: unix

Published: 2016/06/28

Modified: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P


Base Score: 5.9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libtasn1, p-cpe:/a:novell:opensuse:libtasn1-6, p-cpe:/a:novell:opensuse:libtasn1-6-32bit, p-cpe:/a:novell:opensuse:libtasn1-6-debuginfo, p-cpe:/a:novell:opensuse:libtasn1-6-debuginfo-32bit, p-cpe:/a:novell:opensuse:libtasn1-debuginfo, p-cpe:/a:novell:opensuse:libtasn1-debugsource, p-cpe:/a:novell:opensuse:libtasn1-devel, p-cpe:/a:novell:opensuse:libtasn1-devel-32bit, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/06/24

Reference Information

CVE: CVE-2015-3622, CVE-2016-4008